from abc import ABC, abstractmethod

from dataiku import Folder

from graph.connections.db_handler import DbHandler


class DbHandlerFactory(ABC):
    def __init__(self, db_folder: Folder, snapshot_id: str):
        self.db_folder = db_folder
        self.snapshot_id = snapshot_id

    @abstractmethod
    def get_db_handler(self) -> DbHandler:
        pass